Fork (clone) a running machine
import requests
url = "https://api.13-215-85-171.sslip.io/v1/machines/{id}/fork"
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)curl --request POST \
--url https://api.13-215-85-171.sslip.io/v1/machines/{id}/fork \
--header 'Authorization: Bearer <token>' \
--header 'Idempotency-Key: <idempotency-key>'{
"id": "<string>",
"status": "creating",
"config": {
"vcpus": 123,
"memory_mb": 123,
"disk_mb": 123
},
"cwd": "<string>"
}
Machines
Fork (clone) a running machine
Fork creates a new machine from the parent’s live machine state. Rootfs state diverges after the fork, but shared volume mounts in the child are remounted with fresh internal leases against the same backing shared volumes before the child becomes ready. Shared volume data does not make the VM snapshot portable across incompatible runtime hosts.
POST
/
v1
/
machines
/
{id}
/
fork
Fork (clone) a running machine
import requests
url = "https://api.13-215-85-171.sslip.io/v1/machines/{id}/fork"
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)curl --request POST \
--url https://api.13-215-85-171.sslip.io/v1/machines/{id}/fork \
--header 'Authorization: Bearer <token>' \
--header 'Idempotency-Key: <idempotency-key>'{
"id": "<string>",
"status": "creating",
"config": {
"vcpus": 123,
"memory_mb": 123,
"disk_mb": 123
},
"cwd": "<string>"
}
Authorizations
API key passed as Bearer token
Headers
Reuse the same key to safely retry the same create, reusable snapshot create, fork, upload create/complete, or agent deployment create operation without duplicating work.
Path Parameters
Machine ID (e.g. mch_a1b2c3d4)